Package net.shibboleth.idp.plugin.authn.webauthn.authn

# Class AuthenticatorSupport

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.authn.AuthenticatorSupport

public final class AuthenticatorSupport extends Object
A helper class for various FIDO2 Authenticator functions.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final Pattern`
`AAGUID_PATTERN`
The acceptable AAGUID pattern, taken from @link `AAGUID`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AuthenticatorSupport()`
Private constructor.

## Method Summary

Modifier and Type
Method
Description
`static com.yubico.webauthn.data.ByteArray`
`parse(String value)`
Parse an AAGUID from a string value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AAGUID_PATTERN

private static final Pattern AAGUID_PATTERN
The acceptable AAGUID pattern, taken from @link `AAGUID`.

## Constructor Details

### AuthenticatorSupport

private AuthenticatorSupport()
Private constructor.

## Method Details

### parse

@Nullable public static com.yubico.webauthn.data.ByteArray parse(String value)
Parse an AAGUID from a string value.

Parameters:
  `value` - the value to parse
Returns:
  the byte representation of the AAGUID, or null if not parsable.